Subject: Re: Re: [B.A.T.M.A.N.] [PATCH 6/7] batman-adv: Allow to use rntl_link for device creation/deletion

From: Antonio Quartulli <[email-masked]>
Date: Sat, 1 Dec 2012 14:28:02 +0100

On Sat, Dec 01, 2012 at 02:16:38PM +0100, Sven Eckelmann wrote:
> Please don't remove netdev from this discussion without a reason.
> 
> On Saturday 01 December 2012 14:11:08 Antonio Quartulli wrote:
> > On Sat, Nov 24, 2012 at 01:02:11AM +0100, Sven Eckelmann wrote:
> > > The sysfs configuration interface of batman-adv to add/remove
> > > soft-interfaces is not deadlock free and doesn't follow the currently
> > > common way to create new virtual interfaces.
> > > 
> > > An additional interface though rtnl_link is introduced which provides easy
> > > device creation/deletion with tools like "ip":
> > > 
> > > $ ip link add dev bat0 type batadv
> > > $ ip link del dev bat0
> > > 
> > > Signed-off-by: Sven Eckelmann <[email-masked]>
> > 
> > Hello Sven,
> > 
> > why are we adding yet another API? What's the purpose? Is this intended to
> > fix the lock bug we get while using sysfs?
> 
> Because this is the normal way to create virtual network devices (please feel 
> free to correct me).

Well, I've seen different iface types using many tools, e.g. vconfig, tunctl,
brctl..
Not that this justifies the fact that we should do the same (imho having a
standard and unified way for creating interfaces would be the best option).

But, to be honest, I think it should better discuss how to entirely
moving/changing the existent API to a "better one" or to a "new one", instead of
starting to maintain two of them from now on with no plan, don't you think so?

> And no, it doesn't fix the sysfs problem because the 
> sysfs stuff isn't removed.

Yeah, I had the same in mind, that's why I was asking for the purpose of this.

Cheers,

-- 
Antonio Quartulli

..each of us alone is worth nothing..
Ernesto "Che" Guevara